<?php

namespace App\Service;

use App\Exception;

class BranchService {
    private $factory;

    public function __construct (\App\Factory\BranchFactory $factory) {
        $this->factory = $factory;
    }
    
    public function getBranchs() {
        return $this->factory->getBranchs();
    }
    
    public function getBranchAddress($merchantId) {
       return $this->factory->getBranchAddress($merchantId);
    }
    
    public function getAuthTokenFili($idTokenFili) {
        return $this->factory->getAuthTokenFili($idTokenFili);
    }
}
